#ifndef APP_H
#define APP_H

#define APP_EXIT_CALLBACK_FUNC_DEF(name) void name(void)
typedef APP_EXIT_CALLBACK_FUNC_DEF(app_exit_callback_func);

struct string app_write_path_cat(struct arena *arena, struct string filename);

/* Register a function that will be called when the application exits */
void app_register_exit_callback(app_exit_callback_func *func);

void app_entry_point(void);

void app_exit(void);

#endif
